# -*- mode: ruby -*-
# vi: set ft=ruby :

Vagrant.require_version ">= 1.6.2"

Vagrant.configure("2") do |config|
  config.vm.synced_folder '.', '/shared', disabled: true

  config.vm.define "vyos" do |vyos|
    vyos.ssh.host = "192.168.1.1"
    vyos.ssh.username = "ubnt"
    vyos.ssh.password = "ubnt"
    vyos.vm.box = "./builds/vyos-latest.virtualbox.box"
    # disable auto port forwarding for ssh
    vyos.vm.network "forwarded_port", guest: 22, host: 2222, id: "ssh", disabled: true, auto_config: false
    # adapters 2+
    vyos.vm.network "private_network", virtualbox__intnet: "e1", auto_config: false  # internal network for routed stuff
    # vyos.vm.network "private_network", name: "vboxnet0"  # host-only network required for comms
    # vyos.vm.network "public_network"  # port that will be connected to internet
    vyos.vm.provider "virtualbox" do |v|
      v.cpus = 2
      v.memory = 512
      v.name = "blue_vyos"
      # override default nat adapter
      v.customize ["modifyvm", :id, "--nic1", "hostonly"]
      v.customize ["modifyvm", :id, "--hostonlyadapter1", "vboxnet0"]
      #v.customize ["modifyvm", :id, "--nic2", "intnet"]
      #v.customize ["modifyvm", :id, "--intnet2", "e1"]
    end
  end

end
